List SSH keys
curl --request GET \
--url https://console.gmicloud.ai/api/v1/me/ssh-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/me/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/me/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keys": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "My SSH key",
"fingerprint": "AbCdEfGhIjKlMnOpQrStUvWxYz1234567890",
"createdAt": 1738812775
}
]
}{
"group": "ssh-key",
"code": 1201,
"message": "Get SSH key list encountered DB error.",
"traces": [
"DB error occurred."
]
}me
List SSH keys
Retrieve a list of SSH keys for the current authenticated user.
GET
/
me
/
ssh-keys
List SSH keys
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Query Parameters
Filter SSH keys by name (case-insensitive partial match).
Filter SSH keys by SHA-256 fingerprint (case-insensitive partial match).
Response
Successfully retrieved the list of SSH keys.
A list of SSH keys.
Show child attributes
Show child attributes
⌘I